package cn.freemud.service.universal.impl;

import cn.freemud.entities.bo.CreateOrderBo;
import cn.freemud.entities.vo.CreateOrderBaseVo;
import cn.freemud.enums.ResponseResult;
import cn.freemud.interceptor.ServiceException;
import cn.freemud.service.universal.UniversalOrderService;
import com.freemud.application.sdk.api.ordercenter.request.create.CreateOrderRequest;
import org.springframework.stereotype.Service;

/**
 * @author : xh.Z
 * @email : fisherman0510@163.com
 * @Date : 2021/4/9 上午11:36
 * @description :  围餐操作  fisherman 没搞完 2021年04月09日11:52:06
 */
@Service
public class MealOrderService extends UniversalOrderService {
    @Override
    public void getCustomCreateOrderBo(CreateOrderBo createOrderBo) {

    }

    @Override
    public void validParam(CreateOrderBaseVo createOrderBaseVo) {
        if (createOrderBaseVo.getOperation() ==null) {
            throw new ServiceException(ResponseResult.ORDER_CREATE_OPERATION_ERROR);
        }
    }

    @Override
    protected CreateOrderRequest absGetCreateOrderRequest(CreateOrderBo createOrderBo) {
        return null;
    }

}
